> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User

> This endpoint updates an existing user.

### Body

**name** `string`

This is the name of the user group.

**user\_group\_id** `string`

This is the ID you use to identify this user group in your database.

**mapping** `object`

This is a JSON mapping of schema id to either the data source that this user
group should be associated with or id of the datasource you provided when
creating it.

**properties** `object`

This is a JSON object for properties assigned to this user group. These will
be accessible through variables in the dashboards and SQL editor

### Response

**success** `number`

Indicates whether the call was successful. 1 if successful, 0 if not.

**user\_group** `object`

The contents of the user group

**Toggle object**

**team\_id** `number`

Indicates whether a new user group was created.

**token** `string`

This is the user group token (userGroupToken or USER\_GROUP\_TOKEN) that will be
used to identify which user group is viewing the dashboard. You should save
this on your end to use when rendering an embedded dashboard.

**name** `string`

This is the name of the user group provided in the request body.

**provided\_id** `string`

This is the user\_group\_id provided in the request body.

**properties** `JSON | Null`

This is the properties object if it was provided in the request body

**api\_environment\_tag** `JSON or null`

This is the environment tag of the user group. Possible values are 'Customer'
and 'Testing'

```bash Example Request theme={null}
curl --location --request PUT 'https://api.mintlify.com/api/user' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "user_group_id": "example_1",
    "name": "Example 1",
    "mapping": {"40": "213", "134": "386"},
    "properties": {"filterValue": "value"}
}'
```

```json Response theme={null}
{
  "success": 1,
  "user_group": {
    "team_id": 113,
    "token": "<user_group_token_to_auth_dashboard>",
    "name": "ok",
    "provided_id": "6"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.